| Home | Libraries | People | FAQ | More

#### identifier

(EXPERIMENTAL) A SQL identifier to use for client-side SQL formatting.

##### Synopsis

Defined in header `<boost/mysql/format_sql.hpp>`

    class identifier

##### Member Functions

Name | Description
--- | ---
identifier [constructor] | Constructs an unqualified identifier. — Constructs an identifier with a single qualifier. — Constructs an identifier with two qualifiers.

##### Description

Represents a possibly-qualified SQL identifier.

##### Object lifetimes

This type is non-owning, and should only be used as an argument to SQL formatting functions.

Convenience header `<boost/mysql.hpp>`